import { NodeListInterface } from './NodeListInterface';
import { AbstractNode } from './nodes/AbstractNode';
export declare class CollectionIndexCache<T extends AbstractNode, U extends NodeListInterface<T>> {
    private _collection;
    private _cachedList;
    private _nodeCount;
    private _initialized;
    constructor(collection: U);
    get nodeCount(): number;
    nodeAt(index: number): T;
    indexOf(node: T): number;
    updateNodeCountAndListCache(): void;
    invalidate(): void;
    private initialize;
}
