"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var elements_common_1 = require("./elements-common");
function registerTitaniumElements(registry) {
    elements_common_1.registerCommonTitaniumElements(registry);
    registry.registerElement({
        tagName: 'BlurView',
        resolveFactory: function () { return Ti.UI.iOS.createBlurView; },
        meta: {
            typeName: 'Ti.UI.iOS.BlurView'
        }
    });
    registry.registerElement({
        tagName: 'ButtonBar',
        resolveFactory: function () { return Ti.UI.createButtonBar; },
        meta: {
            typeName: 'Ti.UI.ButtonBar'
        }
    });
    registry.registerElement({
        tagName: 'DashboardView',
        resolveFactory: function () { return Ti.UI.createDashboardView; },
        meta: {
            typeName: 'Ti.UI.DashboardView'
        }
    });
    registry.registerElement({
        tagName: 'DashboardItem',
        resolveFactory: function () { return Ti.UI.createDashboardItem; },
        meta: {
            typeName: 'Ti.UI.DashboardItem'
        }
    });
    registry.registerElement({
        tagName: 'LivePhotoView',
        resolveFactory: function () { return Ti.UI.iOS.createLivePhotoView; },
        meta: {
            typeName: 'Ti.UI.iOS.LivePhotoView'
        }
    });
    registry.registerElement({
        tagName: 'Stepper',
        resolveFactory: function () { return Ti.UI.iOS.createStepper; },
        meta: {
            typeName: 'Ti.UI.iOS.Stepper'
        }
    });
}
exports.registerTitaniumElements = registerTitaniumElements;
