"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isNumeric(value) {
    value = '' + value;
    return !isNaN(value) && !isNaN(parseFloat(value));
}
exports.isNumeric = isNumeric;
function toNumber(value) {
    if (Number.isSafeInteger(value)) {
        return Number.parseInt(value, 10);
    }
    else {
        return Number.parseFloat(value);
    }
}
exports.toNumber = toNumber;
