import { NodeListInterface } from './NodeListInterface';
import { AbstractNode } from './nodes/AbstractNode';
export declare class ChildNodeList implements NodeListInterface<AbstractNode> {
    private _rootNode;
    private _indexCache;
    constructor(rootNode: AbstractNode);
    get length(): number;
    item(index: number): AbstractNode;
    collectionBegin(): AbstractNode | null;
    collectionEnd(): AbstractNode | null;
    traverseForward(node: AbstractNode): AbstractNode | null;
    invalidateCache(): void;
    [Symbol.iterator](): Iterator<AbstractNode>;
}
