"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var TitaniumElement_1 = require("./TitaniumElement");
var NavigationWindowElement = /** @class */ (function (_super) {
    tslib_1.__extends(NavigationWindowElement, _super);
    function NavigationWindowElement() {
        return _super.call(this, 'navigation-window', Ti.UI.createNavigationWindow, {
            typeName: 'Ti.UI.NavigationWindow',
            detached: true
        }) || this;
    }
    NavigationWindowElement.prototype.insertChild = function (element, atIndex) {
        if (element.tagName !== 'WINDOW') {
            return;
        }
        this.setAttribute('window', element.titaniumView);
        _super.prototype.insertChild.call(this, element, atIndex);
    };
    return NavigationWindowElement;
}(TitaniumElement_1.TitaniumElement));
exports.NavigationWindowElement = NavigationWindowElement;
