"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var AbstractNode_1 = require("./AbstractNode");
var AbstractTextualNode_1 = require("./AbstractTextualNode");
var CommentNode = /** @class */ (function (_super) {
    tslib_1.__extends(CommentNode, _super);
    function CommentNode(text) {
        var _this = _super.call(this, text) || this;
        _this.nodeName = '#comment';
        _this.nodeType = AbstractNode_1.NodeType.Comment;
        return _this;
    }
    return CommentNode;
}(AbstractTextualNode_1.AbstractTextualNode));
exports.CommentNode = CommentNode;
