"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var elements_common_1 = require("./elements-common");
function registerTitaniumElements(registry) {
    elements_common_1.registerCommonTitaniumElements(registry);
    registry.registerElement({
        tagName: 'CardView',
        resolveFactory: function () { return Ti.UI.Android.createCardView; },
        meta: {
            typeName: 'Ti.UI.Android.CardView'
        }
    });
    registry.registerElement({
        tagName: 'DrawerLayout',
        resolveFactory: function () { return Ti.UI.Android.createDrawerLayout; },
        meta: {
            typeName: 'Ti.UI.Android.DrawerLayout'
        }
    });
    registry.registerElement({
        tagName: 'ProgressIndicator',
        resolveFactory: function () { return Ti.UI.Android.createProgressIndicator; },
        meta: {
            typeName: 'Ti.UI.Android.ProgressIndicator',
            detached: true
        }
    });
    registry.registerElement({
        tagName: 'SearchView',
        resolveFactory: function () { return Ti.UI.Android.createSearchView; },
        meta: {
            typeName: 'Ti.UI.Android.SearchView',
            detached: true
        }
    });
}
exports.registerTitaniumElements = registerTitaniumElements;
