import { NodeListInterface } from './NodeListInterface';
import { ElementNode } from './nodes/ElementNode';
export declare class ElementCollection implements NodeListInterface<ElementNode> {
    private _rootNode;
    private _indexCache;
    constructor(rootNode: ElementNode);
    get length(): number;
    item(index: number): ElementNode;
    indexOf(node: ElementNode): number;
    collectionBegin(): ElementNode | null;
    collectionEnd(): ElementNode | null;
    traverseForward(node: ElementNode): ElementNode | null;
    invalidateCache(): void;
    [Symbol.iterator](): Iterator<ElementNode>;
}
