import { __extends } from "tslib";
import { TitaniumElement } from './TitaniumElement';
var NavigationWindowElement = /** @class */ (function (_super) {
    __extends(NavigationWindowElement, _super);
    function NavigationWindowElement() {
        return _super.call(this, 'navigation-window', Ti.UI.createNavigationWindow, {
            typeName: 'Ti.UI.NavigationWindow',
            detached: true
        }) || this;
    }
    NavigationWindowElement.prototype.insertChild = function (element, atIndex) {
        if (element.tagName !== 'WINDOW') {
            return;
        }
        this.setAttribute('window', element.titaniumView);
        _super.prototype.insertChild.call(this, element, atIndex);
    };
    return NavigationWindowElement;
}(TitaniumElement));
export { NavigationWindowElement };
