import { __extends } from "tslib";
import { AbstractNode } from './AbstractNode';
var AbstractTextualNode = /** @class */ (function (_super) {
    __extends(AbstractTextualNode, _super);
    function AbstractTextualNode(text) {
        var _this = _super.call(this) || this;
        _this._nodeValue = text;
        return _this;
    }
    Object.defineProperty(AbstractTextualNode.prototype, "nodeValue", {
        get: function () {
            return this._nodeValue;
        },
        set: function (value) {
            this._nodeValue = value;
            if (this.parentElement) {
                this.parentElement.updateText();
            }
        },
        enumerable: true,
        configurable: true
    });
    AbstractTextualNode.prototype.toString = function () {
        return this.constructor.name + "(\"" + this.nodeValue.replace(/\s/g, '') + "\")";
    };
    return AbstractTextualNode;
}(AbstractNode));
export { AbstractTextualNode };
